
Application: gvSIG desktop - gvSIG bugs #2741
The attribute db_connections does not exist in a DynObject of the DynClass 
org.gvsig.geodb.app.mainplugin
07/29/2014 10:41 AM - Antonio Falciano

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2239 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: dynobject Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce this issue:
    -  create and open a view;
    -  open and close the "Add Layer" window;
    -  exit from gvSIG.

Here's the warning contained in the gvSIG.log (in attachment):

INFO AWT-EventQueue-1 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.AddLayer.execute('view-layer-add')
WARN AWT-EventQueue-1 org.gvsig.app.extension.AddLayer - Can't create layer open dialog.
java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
    at java.lang.reflect.Constructor.newInstance(Unknown Source)
    at org.gvsig.app.extension.AddLayer.createFOpenDialog(AddLayer.java:165)
    at org.gvsig.app.extension.AddLayer.doAddLayers(AddLayer.java:224)
    at org.gvsig.app.extension.AddLayer.addLayers(AddLayer.java:218)
    at org.gvsig.app.extension.AddLayer.execute(AddLayer.java:144)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:252)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:914)
    [...]
Caused by: The attribute db_connections does not exist in a DynObject of the DynClass org.gvsig.geodb.app.mainplugin
    at org.gvsig.tools.dynobject.impl.DefaultDynObject.getDynValue(DefaultDynObject.java:111)
    at
org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.loadVectorialDBDatasourcesCombo(AddPostGISRasterLayerWizard.java:174)
    at org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.initialize(AddPostGISRasterLayerWizard.java:138)
    at org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.<init>(AddPostGISRasterLayerWizard.java:107)
    ... 49 more
It seems that this issue causes directly #2638.

Related issues:
Duplicates Application: gvSIG desktop - gvSIG bugs # 2638: No aparece la pest... Closed 07/07/2014

History
#1 - 08/25/2014 03:24 AM - Álvaro Anguix
- Related to gvSIG bugs #2638: No aparece la pestaña de añadir capa de postgis raster added

#2 - 09/03/2014 02:01 PM - Joaquín  del Cerro Murciano
- Related to deleted (gvSIG bugs #2638: No aparece la pestaña de añadir capa de postgis raster)

#3 - 09/03/2014 02:01 PM - Joaquín  del Cerro Murciano
- Duplicates gvSIG bugs #2638: No aparece la pestaña de añadir capa de postgis raster added

#4 - 09/03/2014 02:01 PM - Joaquín  del Cerro Murciano
- Status changed from New to Invalid

Files
gvSIG_db_connections.log 325 KB 07/29/2014 Antonio Falciano
